; -*-Emacs-Lisp-*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; File:         enable-me.el
; RCS:          $Header: $
; Description:  Automatic enabling of disabled commands
; Author:       Carl Edman
; Created:      Sat Jun  5 09:48:57 1993
; Modified:     Sat Jun  5 09:49:07 1993 (Carl Edman) cedman@capitalist.princeton.edu
; Language:     Emacs-Lisp
; Package:      N/A
; Status:       Experimental (Do Not Distribute)
;
; (C) Copyright 1993, but otherwise this file is perfect freeware.
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun enable-me (&rest args)
  "Called when a disabled command is executed.
Enable it and reexecute it."
  (put this-command 'disabled nil)
  (message "You typed %s.  %s was disabled.  It ain't no more."
           (key-description (this-command-keys)) this-command)
  (sit-for 0)
  (call-interactively this-command))
